## netbeans 7.0.1+dfsg1

=== apisupport.harness/windows-launcher-src/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-post

.build-pre: app.res
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...

app.res : app.rc
	windres -o$@ -Ocoff app.rc

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== cnd.debugger.common2/windows/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.
#

#
# The cnd.dll comes premade in a C/C++ pack Windows distribution. This
# Makefile and the sources are included only for users interested in
# rebuilding the dll or for users wondering what is included in the
# dll.
#
# The cnd.dll includes a signal handler which is needed to ensure we ca
# sucessfully interupt the inferior process in a debugging session.

all: GdbKillProc

GdbKillProc: GdbKillProc.o
	gcc -O -o GdbKillProc GdbKillProc.o -mno-cygwin -mthreads

GdbKillProc.o: GdbKillProc.c
	gcc -c -O GdbKillProc.c -mno-cygwin -mthreads

clean:
	rm -f GdbKillProc.exe GdbKillProc.o

=== cnd.remote/tools/Makefile ===
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

LINKER=cc

CC-Linux := gcc
CC-SunOS := cc
CC-Mac_OS_X := gcc

DEBUG := -g

CFLAGS-COMMON := -c ${DEBUG} -fPIC -D_GNU_SOURCE
CFLAGS-Linux := ${CFLAGS-COMMON} -Wreturn-type -Wimplicit -Werror -std=c99
CFLAGS-SunOS := ${CFLAGS-COMMON} -xc99 -errwarn
CFLAGS-Mac_OS_X := ${CFLAGS-COMMON}

LDFLAGS-LIB-Linux := -shared -ldl -lrt
LDFLAGS-LIB-SunOS := -shared -ldl -lrt -lsocket
LDFLAGS-LIB-Mac_OS_X := -G -ldl -lrt

LDFLAGS-APP-Linux := -lrt -lnsl -lresolv
LDFLAGS-APP-SunOS := -lrt -lnsl -lsocket -lresolv
LDFLAGS-APP-Mac_OS_X := -lrt -lnsl -lsocket -lresolv

ifdef 64BITS
    FLAG32_64 := -m64
else
    FLAG32_64 := -m32
endif

# The following sets UNAME_S to a platform dependent string. Since
# this gets evaluated each use, its assigned to "OSNAME" and that
# is the actual value used in the rest of the Makefile.
UNAME_S := $(shell uname -s)
UNAME_P := $(shell uname -p)
UNAME_M := $(shell uname -m)

OSNAME = $(UNAME_S)
ifeq ($(findstring _NT-,$(UNAME_S)), _NT-)  # catches Cygwin and MinGW
	OSNAME = Windows
endif
ifeq (Darwin,$(UNAME_S))
	OSNAME = Mac_OS_X
endif

TRACE := 0
CC := ${CC-${OSNAME}}
CFLAGS := ${CFLAGS-${OSNAME}} ${FLAG32_64} -DTRACE=${TRACE} ${EXTRA_CFLAGS}
LDFLAGS_LIB := ${LDFLAGS-LIB-${OSNAME}} ${FLAG32_64} ${DEBUG}
LDFLAGS_APP := ${LDFLAGS-APP-${OSNAME}} ${FLAG32_64} ${DEBUG}

ifdef 64BITS
    PLATFORM_64 := _64
    TEST_ENV_PARAM := 64
else
    PLATFORM_64 :=
    TEST_ENV_PARAM := 
endif

# map different values of `uname -p` and/or `uname -m` into standard postfixes
TMP-i386   :=  x86
TMP-i686   :=  x86
TMP-i86pc  :=  x86
TMP-x86_64 :=  x86
TMP-sparc  :=  sparc
TMP-sun4u  :=  sparc

ifeq ($(UNAME_P), unknown)  # for my Ubuntu 10.4 on Intel I5 it says "unknown" :(
	UNAME_P := i386
endif

PLATFORM = ${TMP-${UNAME_P}}${PLATFORM_64}
ifeq (${PLATFORM}, )
    PLATFORM = ${TMP-${UNAME_M}}${PLATFORM_64}
endif

testit :sh= uname -s

DIST_BASE=../release/bin
BUILD_BASE="./build"

DIST=${DIST_BASE}/$(OSNAME)-$(PLATFORM)
BUILD=${BUILD_BASE}/$(OSNAME)-$(PLATFORM)

INSTALLDIR=../../nbbuild/netbeans/cnd/bin

all: build_impl install

install: build_impl
	cp -r ${DIST} ${INSTALLDIR}

build_impl: check init ${DIST}/rfs_preload.so ${DIST}/rfs_controller ${DIST}/rfs_test_env

#object files
${BUILD}/%.o : %.c
	${CC} ${CFLAGS} -o $@ $<

# rfs_test_env can do with implicit function declarations
${BUILD}/rfs_test_env.o : rfs_test_env.c
	${CC} ${CFLAGS} -o $@ $<

PRELOAD_OBJFILES := ${BUILD}/rfs_preload.o ${BUILD}/rfs_util.o ${BUILD}/rfs_protocol.o ${BUILD}/rfs_preload_socks.o
CONTROLLER_OBJFILES := ${BUILD}/rfs_controller.o ${BUILD}/rfs_util.o ${BUILD}/rfs_protocol.o ${BUILD}/rfs_filedata.o
TEST_ENV_OBJFILES := ${BUILD}/rfs_test_env.o

#library:
${DIST}/rfs_preload.so: ${PRELOAD_OBJFILES}
	${LINKER} ${LDFLAGS_LIB} -o ${DIST}/rfs_preload.so ${PRELOAD_OBJFILES}
	strip ${DIST}/rfs_preload.so

#appliction:
${DIST}/rfs_controller: ${CONTROLLER_OBJFILES}
	${LINKER} ${LDFLAGS_APP} -o ${DIST}/rfs_controller ${CONTROLLER_OBJFILES}
	strip ${DIST}/rfs_controller

#test environment:
${DIST}/rfs_test_env: ${TEST_ENV_OBJFILES}
	${LINKER} ${LDFLAGS_APP} -o ${DIST}/rfs_test_env ${TEST_ENV_OBJFILES}
	strip ${DIST}/rfs_test_env

clean:
	rm -rf ${BUILD} ${DIST}

cleanall:
	rm -rf ${BUILD_BASE} ${DIST_BASE}

init:
	@mkdir -p ${BUILD} ${DIST}

check:
	@if [ -n "$(testit)" ]; \
	then \
		echo "Error: You must use GNU make"; \
		exit 1; \
	fi

test_env: all
	sh rfs_test_env.sh

test_filedata: test_filedata_build
	${BUILD}/test_rfs_filedata

test_filedata_build: all
	${CC} ${CFLAGS} -DTRACE=1 -o ${BUILD}/test_rfs_filedata.o test/test_rfs_filedata.c
	${LINKER} ${LDFLAGS_APP} -o ${BUILD}/test_rfs_filedata ${BUILD}/rfs_filedata.o ${BUILD}/rfs_util.o ${BUILD}/test_rfs_filedata.o

test_pkg: test_pkg_build
	${BUILD}/test_pkg_client

test_pkg_build: all
	${CC} ${CFLAGS} -o ${BUILD}/test_pkg_client.o test/test_pkg_client.c
	${LINKER} ${LDFLAGS_APP} -lpthread -o ${BUILD}/test_pkg_client ${BUILD}/test_pkg_client.o ${BUILD}/rfs_util.o ${BUILD}/rfs_protocol.o ${BUILD}/rfs_preload_socks.o

test_platform:
	@echo "UNAME_S = [${UNAME_S}]"
	@echo "UNAME_M = [${UNAME_M}]"
	@echo "UNAME_P = [${UNAME_P}]"
	@echo "OSNAME = [${OSNAME}]"
	@echo "PLATFORM = [${PLATFORM}]"
	@echo "CFLAGS = [${CFLAGS}]"
	@echo "LDFLAGS_LIB = [${LDFLAGS_LIB}]"
	@echo "LDFLAGS_APP = [${LDFLAGS_APP}]"
	@echo "${APP_NAME} = [${APP_PATH}]"

=== dlight.nativeexecution/tools/Makefile ===
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

INSTALLDIR = /dev/null

testit :sh= uname -s

#CFLAGS-Windows_XP := -mno-cygwin
CFLAGS-Linux := -fPIC -Wl,--hash-style=sysv
CFLAGS-SunOS := -fPIC
CFLAGS-Mac_OS_X := -fPIC
LDFLAGS-SunOS := -lposix4
FLAG64:=$(shell (echo ${PLATFORM_DIR} | grep 64 >/dev/null && echo -m64) || echo -m32)

CFLAGS := $(CFLAGS-$(OSFAMILY))
LDFLAGS := $(LDFLAGS-$(OSFAMILY))

DIST=../release/bin/nativeexecution
BUILD=./build

APP_PATH=${DIST}/${PLATFORM_DIR}

all: init privp process_start pty_open sigqueue stat

privp: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

process_start: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

pty_open: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

sigqueue: init
	gcc ${CFLAGS} ${FLAG64} ${LDFLAGS} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

stat: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

clean:
	rm -rf ${APP_PATH} ${DIST}/${PLATFORM_DIR}

cleanall:
	rm -rf ${BUILD} ${DIST}

init: check
	@mkdir -p ${APP_PATH} ${DIST}/${PLATFORM_DIR}

check:
	@if [ -n "$(testit)" ]; \
	then \
		echo "Error: You must use GNU make"; \
		exit 1; \
	fi
	
	@if [ "${PLATFORM_DIR}" = "" ]; \
	then \
		echo "PLATFORM_DIR undefined"; \
		exit 1; \
	fi

=== cnd.discovery/tools/BuildTrace/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# build tests
build-tests: .build-tests-post

.build-tests-pre:
# Add your pre 'build-tests' code here...

.build-tests-post: .build-tests-impl
# Add your post 'build-tests' code here...


# run tests
test: .test-post

.test-pre:
# Add your pre 'test' code here...

.test-post: .test-impl
# Add your post 'test' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== ide/launcher/windows/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib

# build
build: .build-post


.build-pre: netbeans.res
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...
	cp *.exe ../../../nbbuild/netbeans/bin/

netbeans.res: netbeans.rc
	windres -o$@ -Ocoff netbeans.rc

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== o.n.bootstrap/launcher/windows/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib

# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl nbexec.exe
# Add your post 'build' code here...
	cp nbexec.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec.dll ../../../nbbuild/netbeans/platform/lib/

nbexec.exe: nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	windres.exe -Ocoff nbexec_exe.rc nbexec_exe.res
	g++ -s -mno-cygwin nbexecexe.cpp utilsfuncs.cpp nbexec_exe.res -o nbexec.exe

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...
#	-rm -r build/*

.clean-post: .clean-impl
# Add your post 'clean' code here...
	rm -f nbexec_exe.res nbexec.exe


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== cnd.remote/test/unit/data/org/netbeans/modules/cnd/remote/full/FullRemoteBuildTestCase/simple_make_project_to_import/Makefile ===
CGLAGS="-g"
LDGLAGS="-g"
CC=gcc

BUILD=build
BINARY=${BUILD}/simple-bin
OBJFILES=simple.o tolower.o toupper.o

all: ${BINARY}
	mkdir -p ${BUILD}
	${CC} ${LDGLAGS} ${OBJFILES} -o ${BINARY}

clean:
	rm -rf ${BINARY}
	rm -rf *.o

${BINARY}: ${OBJFILES}
	
%.o : %.c
	${CC} -c ${CFLAGS} -o $@ $<

=== cnd.remote/test/unit/data/org/netbeans/modules/cnd/remote/pbuild/LinuxTouchRfsBuildTestCase/touch-on-linux/Makefile ===
all:
	touch touch-on-linux.c
	gcc touch-on-linux.c -o touch-on-linux-bin

clean:
	rm -f touch-on-linux-bin

=== debian/changelog ===
netbeans (7.0.1+dfsg1-5ubuntu2) quantal; urgency=low

  * Keep the build dependency on default-jdk to find jni.h.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 11:48:20 +0200

netbeans (7.0.1+dfsg1-5ubuntu1) quantal; urgency=low

  * Explicitly build using OpenJDK 6, to fix the build failure.
    7.0.1 is not ready to build using Java 7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Sep 2012 18:23:18 +0200

netbeans (7.0.1+dfsg1-5) unstable; urgency=low

  * Include junit library definitions.
  * Make libnb-platform13-java depend on antlr3. (Closes: #651214)
  * Avoid including javadoc twice in libnb-platform13-java-doc.
  * Replace dependency libpg-java with libpostgresql-jdbc-java
      (Closes: #659397)
  * Add symlink to jaxp-1.4.jar (Closes: #653915)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Wed, 15 Feb 2012 20:36:14 +0000

netbeans (7.0.1+dfsg1-4) unstable; urgency=low

  * Patch core.osgi to use osgi-core 4.3. (Closes: #649750)
  * Correct binary package names and install locations.
      (Closes: #646856)
  * Install AbsoluteLayout.jar in a separate package.
      (Closes: #646857)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Thu, 01 Dec 2011 21:59:37 +0000

netbeans (7.0.1+dfsg1-3) unstable; urgency=low

  * Use libosgi-core-java and libosgi-compendium-java for osgi.
  * Use libflute-java instead of libflute-1.3-jfree-java.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 16 Oct 2011 20:53:51 +0100

netbeans (7.0.1+dfsg1-2) unstable; urgency=low

  * Handle rename of libcommons-net-java to libcommons-net1-java.
  * Netbeans should depend on a JDK.
      (Closes: #499870)
  * Provide netbeans-ide and netbeans-platform.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 11 Sep 2011 22:45:45 +0100

netbeans (7.0.1+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Build NetBeans platform from this source too. (Closes: #610927)
  * Bump to Standards-Version 3.9.2.
  * Added myself to Uploaders.
  * Build Windows launcher using mingw.
  * Move utilility libraries to their own packages. (Closes: #490433)
  * Also close some bugs which were fixed in the 6.9 series which never
    entered the Debian archives:
    - Use packaged swinglayout.jar. (Closes: #448922)
    - Depend on generic Java. (Closes: #499417)
    - Package for Debian Main. (Closes: #531952)
  * Update Copyright file to cover all files correctly.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Tue, 02 Aug 2011 23:58:58 +0100

netbeans (6.9-1) unstable; urgency=low

  * New upstream version based off of Ubuntu packages.
    (Closes: #543907)
    (Closes: #478762)
  * Add Debian Java team as Maintainer, Yulia and myself as Uploaders.
  * Update packaging to use 3.0 (quilt) source format.
  * Update packaging to use dh with javahelper.
  * Bump to Standards-Version 3.9.1.
  * Refresh all patches.
  * Use Java SwingWorker included in standard JDK distribution.
  * Migrate to junit4.
  * Migrate to libservlet2.5-java.
  * Migrate to use Better Swing Application Framework.
  * Use standard svnclientadapter from subclipse.
  * Migrate to ini4j-0.5.2-SNAPSHOT.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 23 Jan 2011 15:42:29 -0500

netbeans (6.9-0ubuntu2) maverick; urgency=low

  * Bug fix upload:
     - correct netbeans-6.9~updatecenters.patch to point to Ubuntu UC

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 20 Aug 2010 17:19:59 +0400

netbeans (6.9-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #595000)
  * debian/control/Standards-Versions is updated to 3.9.0 
  * debian/copyright file is updated 

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Thu, 05 Aug 2010 12:17:51 +0400

netbeans (6.8-0ubuntu4) lucid; urgency=low

  * Update Center is switched to the Ubuntu specific one (LP: #544459)
     - patches/01-updatecenters.patch is updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 31 Mar 2010 15:19:29 +0400

netbeans (6.8-0ubuntu3) lucid; urgency=low

  * debian/patches/l10n.patch is added (LP: #527547)
  * debiian/rules is updated to build l10n
  * debian/control dependency to default-jdk-doc | sun-java6-doc is added 
     for libnb-java3-java package (LP: #545563)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 26 Mar 2010 16:26:52 +0300

netbeans (6.8-0ubuntu2) lucid; urgency=low

  * Bug fix upload
    - debian/patches/14-config.patch added (LP: #315499) 

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 17 Feb 2010 15:44:50 +0300

netbeans (6.8-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #495478)
  * postinstall script is removed (LP: #464939)
  * control/Standards-Versions is updated to 3.8.4 
  * debian/copyright file is updated to point to the correct location

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 12 Feb 2010 20:36:32 +0300

netbeans (6.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #381814)
    * Fixed upstream bugs:
     -  (LP: #336349)
     -  (LP: #354144)
     -  (LP: #357579)
     -  (LP: #366740)
     -  (LP: #401407)
  * control/Standards-Versions is updated to 3.8.3
  * control/Section is updated to java for *-java

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 13 Jul 2009 19:05:01 +0400

netbeans (6.5-0ubuntu2.1) jaunty; urgency=low

  * Bug fix upload (LP: #353080) 
     - Added a critical patch 96-fix-lucene.patch

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 25 May 2009 23:28:08 +0400

netbeans (6.5-0ubuntu2) jaunty; urgency=low

  * Added bugfix patches from 6.5.1 for NetBeans IDE (LP: #345562)
  * 40-ide-launcher.patch is updated (LP: #307103)
  * debian/rules: commons-logging jar's version changed from 1.0.4 to 1.1.

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 31 Mar 2009 18:34:02 +0400

netbeans (6.5-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #251173)
    -Added "Conflicts: netbeans-ide" to control (LP: #257307)
    -Added watch file and get-orig-source target to rules file



=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Yulia Novozhilova <Yulia.Novozhilova@sun.com>,
 Andres Mejia <mcitadel@gmail.com>, Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), javahelper, ant (>= 1.7.0),
 ant-optional (>= 1.7.0), default-jdk, openjdk-6-jdk, mingw32, maven-repo-helper,
 w3c-dtd-xhtml, javacc,
 libjemmy2-java, javahelp2, libbindex-java,
 libswing-layout-java (>= 1.0.3), libjna-java (>= 3.2.7-2~),
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, antlr3 (>= 3.2), libstringtemplate-java,
 junit4 (>= 4.6), libhamcrest-java,
 libcommons-codec-java, libbytelist-java, libcommons-logging-java,
 libcommons-net1-java, libflute-java, libfreemarker-java,
 libini4j-java (>=0.5), liboro-java, libjsch-java (>= 0.1.42),
 libjvyamlb-java (>= 0.2.5-2~), libjzlib-java (>= 1.0.7),
 liblucene2-java (>= 2.4.1), libxml-commons-resolver1.1-java (>= 1.2-3),
 libsac-java, libservlet2.5-java, libsvnclientadapter-java, libsvn-java,
 libsvnkit-java, libswingx1-java, libtrilead-ssh2-java,
 libsimple-validation-java, libxerces2-java, libpostgresql-jdbc-java,
 libmysql-java,
 libbetter-appframework-java,  libbeansbinding-java, libcglib-java,
 libnb-javaparser-java (>= 7.0.1~), junit
Standards-Version: 3.9.2
Homepage: http://netbeans.org/
Vcs-Browser: http://git.debian.org/?p=pkg-java/netbeans.git
Vcs-Git: git://git.debian.org/git/pkg-java/netbeans.git

Package: libnb-platform13-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, javahelp2, 
 libswing-layout-java (>= 1.0.3), libjna-java(>= 3.2.7-2~), junit4 (>= 4.6),
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, libnb-org-openide-util-java, antlr3 (>= 3.2),
 libnb-org-openide-util-lookup-java, libnb-org-openide-modules-java
Suggests: libnb-platform13-java-doc
Provides: netbeans-platform
Replaces: netbeans-platform
Conflicts: netbeans-platform
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-platform13-java,
 ant, libjemmy2-java, javahelp2, libbindex-java,
Replaces: libnb-platform8-devel-java, libnb-platform7-devel-java
Conflicts: libnb-platform8-devel-java, libnb-platform7-devel-java
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build 
 scripts and ant tasks required to build an application on top of NetBeans 
 Platform.

Package: libnb-platform13-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: libnb-platform13-java
Enhances: libnb-platform13-java
Description: NetBeans Platform javadoc 
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-org-openide-util-lookup-java
Provides: libopenide-util-java
Replaces: libopenide-util-java
Conflicts: libopenide-util-java
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make 
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-org-openide-util-java,
 libnb-org-openide-util-lookup-java
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.

Package: libnb-absolutelayout-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an 
 implementation of the java.awt.LayoutManager interface. This 
 implementation allows you to position components by their 
 absolute position.

Package: netbeans
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libnb-platform13-java (>= 7.0),
 openjdk-6-jdk | java6-sdk | java7-sdk,
 libnb-ide14-java (= ${binary:Version}), 
 libnb-java5-java (= ${binary:Version}),
 libnb-apisupport3-java (= ${binary:Version})
Conflicts: netbeans5.5, netbeans-ide
Replaces: netbeans5.5, netbeans-ide
Provides: netbeans-ide
Description: Extensible Java IDE
 Integrated Development Environment for software developers. It supports 
 development of desktop, enterprise, web, and mobile applications. Package
 includes the Base IDE, Java Development Tools and Plug-in Development Tools. 
 Support for PHP, Ruby, C/C++, Java EE and others can be added.

Package: libnb-ide14-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libnb-platform13-java (>= 7.0),
 antlr3 (>= 3.2), libcommons-codec-java, libbytelist-java,
 libcommons-logging-java, libcommons-net1-java, libflute-java,
 libfreemarker-java, libini4j-java (>= 0.5), liboro-java,
 libjsch-java (>= 0.1.42), libjvyamlb-java (>= 0.2.5-2~),
 libjzlib-java (>= 1.0.7), liblucene2-java (>= 2.4.1),
 libxml-commons-resolver1.1-java (>= 1.2-3), libsac-java,
 libservlet2.5-java, libsvnclientadapter-java, libsvn-java,
 libsvnkit-java, libswingx1-java, libtrilead-ssh2-java,
 libsimple-validation-java, libxerces2-java, libpostgresql-jdbc-java,
 libmysql-java
Description: Common Integrated Development Environment Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package contains 
 independent libraries for use in the NetBeans IDE.

Package: libnb-java5-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends},
 libnb-platform13-java (>= 7.0), libnb-ide14-java (= ${binary:Version}),
 libnb-absolutelayout-java, junit, junit-doc, junit4-doc,
 libbetter-appframework-java,  libbeansbinding-java, libcglib-java,
 libnb-javaparser-java (>= 7.0.1~), ant (>= 1.7.0), ant-optional (>= 1.7.0)
Description: Common Java Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package contains 
 common libraries for the NetBeans Java IDE.

Package: libnb-apisupport3-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libnb-platform13-java (>= 7.0),
 libnb-platform-devel-java (>= 7.0), libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version})
Description: Common NetBeans Platform Development Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package contains 
 common libraries for development of NetBeans Platform modular extensions.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

export JAVA_HOME=/usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH)

#package names
pkg-platform			:= platform13
pkg-lib-platform		:= libnb-$(pkg-platform)
libnb-platform-java		:= $(pkg-lib-platform)-java
libnb-platform-java-doc 	:= $(pkg-lib-platform)-java-doc
libnb-platform-devel-java	:= libnb-platform-devel-java

# Included clusters
pkg-nb                         := netbeans
base-apisupport                := apisupport3
base-ide                       := ide14
base-java                      := java5
base-nb                        := nb
base-platform                  := platform13

pkg-apisupport                 := libnb-$(base-apisupport)-java
pkg-ide                        := libnb-$(base-ide)-java
pkg-java                       := libnb-$(base-java)-java


NBDIR          := /usr/share/netbeans
export JAVADIR := /usr/share/java

JH_JAR          := jhall.jar
JSEARCH_JAR     := jsearch.jar
NB_JH_JAR       := jhall-2.0_05.jar
NB_JSEARCH_JAR  := jsearch-2.0_05.jar

JAVADOC_WEBSITE		:= http://bits.netbeans.org/7.0/javadoc

NB_INSTALL_DIR := usr/share/netbeans

EXT_JAR_LINK_DIR	:= $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
LIB_DIR			:= $(NB_INSTALL_DIR)/$(pkg-platform)/lib/

INSTALL        := dh_install -p
LINK           := dh_link -p

NB_PLATFORM_BUILD_DIR := $(shell pwd)/nbbuild/netbeans/platform

DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | \
			       grep -e '^Version' | \
                               perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')

# Defined function to be used to create symlinks
define symlink
	mkdir -p $(dir $(2))
	ln -sf $(1) $(2)
endef

%:
	dh $@ --with javahelper

#link:
#	$(shell awk 'NF==4 {printf("echo ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
#	$(shell awk 'NF==4 {printf("echo ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)

override_dh_auto_build:
	mkdir -p nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/xhtml/schema/dtd/1.0/xhtml* nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/entities/xhtml/xhtml* nbbuild/external/xhtml1-dtds
	# link the required jars
	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
	######## Remove services and org/eclipse/* from equinox osgi.jar#####################
#	mkdir debian/jar_tmp;  cd debian/jar_tmp; \
#	jar -xf $(JAVADIR)/org.eclipse.osgi.jar; \
#	rm -rf META-INF/services org/eclipse; \
#	jar -cf ../../libs.osgi/external/osgi.core-4.2.jar ./*;
#	rm -rf debian/jar_tmp
#TODO	$(call symlink, /usr/share/ant/lib, o.apache.tools.ant.module/external/lib)
	################################################################
	# Build the Windows launcher
	cd o.n.bootstrap/launcher/windows && LDFLAGS="" make .build-impl nbexec.exe
	cd apisupport.harness/windows-launcher-src && LDFLAGS="" make
	################################################################
	# Build the ide. DISPLAY must be unset to avoid build failures.
	unset DISPLAY; ant \
	-Dpermit.jdk6.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dext.binaries.downloaded=true \
	-Dverify.checkout=false \
	-Dcluster.config=basic \
	-f nbbuild/build.xml build-nozip
	################################################################
	# Build javadoc package
	ant \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dverify.checkout=false \
	-Dallmodules= \
	-Dcluster.config=platform \
	-Dconfig.javadoc.cluster=$(pkg-base) \
	-Djavadoc.docs.org-netbeans-api-java=$(JAVADOC_WEBSITE)/org-netbeans-api-java/ \
	-Djavadoc.docs.org-netbeans-modules-project-ant=$(JAVADOC_WEBSITE)/org-netbeans-modules-project-ant/ \
	-Djavadoc.docs.org-netbeans-modules-projectapi=$(JAVADOC_WEBSITE)/org-netbeans-modules-projectapi/ \
	-f nbbuild/build.xml build-javadoc
	# remove the zip files - we only want the extracted files
	rm -f nbbuild/build/javadoc/*.zip



override_dh_auto_install:
	# recreate links
	$(shell awk 'NF==4 {printf("ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)
	# Install libraries
	mh_installjar -plibnb-org-openide-util-java -l debian/pom/openide-util.xml \
		nbbuild/netbeans/platform/lib/org-openide-util.jar
	mh_installpom -plibnb-org-openide-util-java debian/pom/openide-util.xml
	mh_installjar -plibnb-org-openide-util-lookup-java -l debian/pom/openide-util-lookup.xml \
		nbbuild/netbeans/platform/lib/org-openide-util-lookup.jar
	mh_installpom -plibnb-org-openide-util-lookup-java debian/pom/openide-util-lookup.xml
	mh_installjar -plibnb-org-openide-modules-java -l debian/pom/openide-modules.xml \
		nbbuild/netbeans/platform/lib/org-openide-modules.jar
	mh_installpom -plibnb-org-openide-modules-java debian/pom/openide-modules.xml
	mh_installjar -plibnb-absolutelayout-java -l debian/pom/AbsoluteLayout.xml \
		nbbuild/netbeans/java/modules/ext/AbsoluteLayout.jar
	mh_installpom -plibnb-absolutelayout-java debian/pom/AbsoluteLayout.xml
	#
	# Install Platform
	echo > nbbuild/netbeans/platform/.noautoupdate
	echo > nbbuild/netbeans/platform/.lastModified
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/* $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.noautoupdate $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.lastModified $(NB_INSTALL_DIR)/$(pkg-platform)
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util.jar        $(LIB_DIR)/org-openide-util.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util-lookup.jar $(LIB_DIR)/org-openide-util-lookup.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-modules.jar     $(LIB_DIR)/org-openide-modules.jar
	#
	# Install devel package
	rm -f nbbuild/netbeans/harness/antlib/$(NB_JSEARCH_JAR)
	echo > nbbuild/netbeans/harness/.noautoupdate
	echo > nbbuild/netbeans/harness/.lastModified
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/* $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.noautoupdate $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.lastModified $(NB_INSTALL_DIR)/harness
	#
	#Fixing permissions
	chmod 0755 debian/$(libnb-platform-devel-java)/$(NB_INSTALL_DIR)/harness/launchers/app.sh
	#
	# Install IDE package files
	echo > nbbuild/netbeans/ide/.noautoupdate
	echo > nbbuild/netbeans/ide/.lastModified
#	#all files are removed from lib because they are in dll formats
#	rm -rf nbbuild/netbeans/$(base-ide)/modules/lib
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/*               $(NB_INSTALL_DIR)/$(base-ide)
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/.noautoupdate   $(NB_INSTALL_DIR)/$(base-ide)
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/.lastModified   $(NB_INSTALL_DIR)/$(base-ide)

	# Install Java package files
	echo > nbbuild/netbeans/java/.noautoupdate
	echo > nbbuild/netbeans/java/.lastModified
#	#all doc files are removed because they are in zip and jar formats
#	rm -rf nbbuild/netbeans/java/docs
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/*             $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/.noautoupdate $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/.lastModified $(NB_INSTALL_DIR)/$(base-java)
	# Link in Ant libraries and binaries
	-rmdir debian/$(pkg-java)/$(NB_INSTALL_DIR)/$(base-java)/ant/lib
	$(LINK)$(pkg-java)    usr/share/ant/bin 	$(NB_INSTALL_DIR)/$(base-java)/ant/bin
	$(LINK)$(pkg-java)    usr/share/ant/etc 	$(NB_INSTALL_DIR)/$(base-java)/ant/etc
	$(LINK)$(pkg-java)    usr/share/ant/lib 	$(NB_INSTALL_DIR)/$(base-java)/ant/lib
	# Link in AbsoluteLayout jar
	-rm debian/$(pkg-java)/$(NB_INSTALL_DIR)/$(base-java)/modules/ext/AbsoluteLayout.jar
	$(LINK)$(pkg-java)    usr/share/java/AbsoluteLayout.jar  $(NB_INSTALL_DIR)/$(base-java)/modules/ext/AbsoluteLayout.jar
#
	# Install API support package files
	echo > nbbuild/netbeans/apisupport/.noautoupdate

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,downloadurlmangle=s/$/final\/zip/ \
http://dlc.sun.com.edgesuite.net/netbeans/ ([0-9.]*)/ debian debian/orig-tar.sh
